<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TaskExecutionAdapter (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TaskExecutionAdapter (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/execution/TaskActionListener.html" title="interface in org.gradle.api.execution"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html" title="interface in org.gradle.api.execution"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/execution/TaskExecutionAdapter.html" target="_top">Frames</a></li>
<li><a href="TaskExecutionAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.execution</div>
<h2 title="Class TaskExecutionAdapter" class="title">Class TaskExecutionAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.execution.TaskExecutionAdapter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution">TaskExecutionListener</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">TaskExecutionAdapter</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution">TaskExecutionListener</a></pre>
<div class="block">A <a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution"><code>TaskExecutionListener</code></a> adapter class for receiving task execution events.

 The methods in this class are empty. This class exists as convenience for creating listener objects.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionAdapter.html#TaskExecutionAdapter()">TaskExecutionAdapter</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionAdapter.html#afterExecute(org.gradle.api.Task,%20org.gradle.api.tasks.TaskState)">afterExecute</a></strong>(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task,
            <a href="../../../../org/gradle/api/tasks/TaskState.html" title="interface in org.gradle.api.tasks">TaskState</a>&nbsp;state)</code>
<div class="block">This method is call immediately after a task has been executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionAdapter.html#beforeExecute(org.gradle.api.Task)">beforeExecute</a></strong>(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task)</code>
<div class="block">This method is called immediately before a task is executed.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TaskExecutionAdapter()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TaskExecutionAdapter</h4>
<pre>public&nbsp;TaskExecutionAdapter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="beforeExecute(org.gradle.api.Task)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeExecute</h4>
<pre>public&nbsp;void&nbsp;beforeExecute(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html#beforeExecute(org.gradle.api.Task)">TaskExecutionListener</a></code></strong></div>
<div class="block">This method is called immediately before a task is executed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html#beforeExecute(org.gradle.api.Task)">beforeExecute</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution">TaskExecutionListener</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>task</code> - The task about to be executed. Never null.</dd></dl>
</li>
</ul>
<a name="afterExecute(org.gradle.api.Task, org.gradle.api.tasks.TaskState)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>afterExecute</h4>
<pre>public&nbsp;void&nbsp;afterExecute(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task,
                <a href="../../../../org/gradle/api/tasks/TaskState.html" title="interface in org.gradle.api.tasks">TaskState</a>&nbsp;state)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html#afterExecute(org.gradle.api.Task,%20org.gradle.api.tasks.TaskState)">TaskExecutionListener</a></code></strong></div>
<div class="block">This method is call immediately after a task has been executed. It is always called, regardless of whether the
 task completed successfully, or failed with an exception.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html#afterExecute(org.gradle.api.Task,%20org.gradle.api.tasks.TaskState)">afterExecute</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution">TaskExecutionListener</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>task</code> - The task which was executed. Never null.</dd><dd><code>state</code> - The task state. If the task failed with an exception, the exception is available in this
 state. Never null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/execution/TaskActionListener.html" title="interface in org.gradle.api.execution"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html" title="interface in org.gradle.api.execution"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/execution/TaskExecutionAdapter.html" target="_top">Frames</a></li>
<li><a href="TaskExecutionAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
